{% extends 'base.html' %}
{% load static %}
{% block content %}

<link rel="stylesheet" type="text/css" href="{% static 'style/contactstyle.css' %}">

<div class="allcontain">
	<div class="contact">
		<div class="newslettercontent">
			<div class="leftside">
				<img id="image_border" src="{% static 'image/border.png' %}" alt="border">
					<div class="contact-form">
						<h1>Напишите Нам</h1>
							<div class="form-group group-coustume">
								<input type="text" class="form-control name-form" placeholder="Имя">
								<input type="text" class="form-control email-form" placeholder="Почта">
								<input type="text" class="form-control subject-form" placeholder="Тема">
								<textarea rows="4" cols="50" class="message-form" placeholder="Текст"></textarea>
								<button type="submit" class="btn btn-default btn-submit">Отправить</button>
							</div>
					</div>
			</div>
			<div class="google-maps">
			 <div id="googleMap"></div>
			</div>
		</div>
	</div>
</div>


<script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyANUOVuG_xtYzbPn7YY9q2QA5mx4YmId10"></script>
<script type="text/javascript" src="{% static 'source/bootstrap-3.3.6-dist/js/jquery.js' %}"></script>
<script type="text/javascript" src="{% static 'source/js/isotope.js' %}"></script>
<script type="text/javascript" src="{% static 'source/js/myscript.js' %}"></script>
<script type="text/javascript" src="{% static 'source/bootstrap-3.3.6-dist/js/bootstrap.js' %}"></script>

<script>
var myCenter=new google.maps.LatLng(46.483864,30.740774);

function initialize()
{
var mapProp = {
  center:myCenter,
  zoom:16,
  mapTypeId:google.maps.MapTypeId.ROADMAP
  };

var map=new google.maps.Map(document.getElementById("googleMap"),mapProp);

var marker=new google.maps.Marker({
  position:myCenter,
  });

marker.setMap(map);
}

</script>

<script>
	$(window).resize(function(){
		var new_height = $("#image_border").height();
		console.log(new_height);
		$("#googleMap").height(new_height);
	});

	$(window).load(function(){
		var new_height = $("#image_border").height();
		console.log(new_height);
		$("#googleMap").height(new_height);
		google.maps.event.addDomListener(window, 'load', initialize());
	});
	
</script>

{% endblock content %}